extends ../_docs-template

block vars
  - var activeLink = 'react';
  - var title = 'Icon React Component | Framework7 React Documentation';

block docs-index

block content

  .docs-nav
    include ../_docs-menu-react
  .docs-content
    .motion-docs-page-title
      h1 Icon React Component
      script(src="/js/motion/icons.js")
      f7-motion-icons(motion)

    p Icon React component represents Icon element. It is ready to be used with custom icons, <a href="../icons/" target="_blank">Framework7 Icons</a> and <a href="https://material.io/icons/" target="_blank">Material Icons</a>.
    h2 Icon Components
    p There are following components included:
    ul
      li `Icon`
    h2 Icon Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          td size
          td number<br>string
          td
          td Icon size in px
        tr
          td icon
          td string
          td
          td Custom icon class
        tr
          td f7
          td string
          td
          td Name of F7 Icons font icon
        tr
          td material
          td string
          td
          td Name of Material Icons font icon
        tr
          td ios
          td string
          td
          td Icon to be used in case of iOS theme is used. Consists of icon family and icon name divided by colon, e.g. `f7:house`
        tr
          td md
          td string
          td
          td Icon to be used in case of Material theme is used. Consists of icon family and icon name divided by colon, e.g. `material:home`
        tr
          td tooltip
          td string
          td
          td Icon <a href="../docs/tooltip.html">tooltip</a> text to show on icon hover/press
        tr
          td tooltipTrigger
          td string
          td hover
          td Defines how to trigger (open) Tooltip. Can be `hover`, `click` or `manual`
    h2 Examples
    :code(lang="jsx")
      {/*  Default back icon */}
      <Icon icon="icon-back"></Icon>

      {/*  Some custom icon */}
      <Icon icon="icon-home"></Icon>

      {/*  F7 Icons font icon */}
      <Icon f7="house"></Icon>

      {/*  Material Icons font icon */}
      <Icon material="home"></Icon>

      {/*  F7 icons font icon with custom size and color */}
      <Icon f7="house" size="44px" color="blue"></Icon>

      {/*  Conditional icon */}
      <Icon ios="f7:house" md="material:home"></Icon>
